@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:ital,wght@0,400;0,500;0,700;1,400&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}

html{
  scroll-behavior:smooth;
}
.max-width {
  max-width: 1300px;
  padding: 0 80px;
  margin: auto;
}

/* navbar stiling */
.navbar {
  position: fixed;
  width: 100vw;
  z-index: 999;
  padding: 30px 0;
  font-family: "ubuntu", sans-serif;
  transition: all 0.3s ease;
}

.navbar.sticky {
  padding: 15px 0;
  background: #ff3535;
}

.navbar .max-width {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar .logo a {
  color: #ffff;
  font-size: 45px;
  font-weight: bolder;
}

.navbar .logo a span {
  color: #ff3535;
}

.navbar.sticky .logo a span {
  color: #ffff;
}

.navbar .menu li {
  list-style: none;
  display: inline;
}

.navbar .menu li a {
  display: inline-block;
  color: #ffff;
  font-size: 18px;
  font-weight: bold;
  margin-left: 25px;
  transition: color 0.4s ease;
}

.navbar .menu li a:hover {
  color: #ff3535;
}

.navbar.sticky .menu li a:hover {
  color: #ffff;
}

/* menu btn styling */
.menu-btn {
  color: #ffff;
  font-size: 23px;
  cursor: pointer;
  display: none;
  
}

.scroll-up-btn{
  position: fixed;
  height: 45px;
  width: 42px;
  background: #ff3535;
  right: 30px;
  bottom: 10px;
  text-align: center;
  line-height: 45px;
  color: #fff;
  z-index: 999;
  font-size: 30px;
  border-radius: 3px;
  border-bottom-width: 2px;
  cursor: pointer;
  opacity: 0;
  pointer-events: none ;
  transition: all 0.3s ease;
}

.scroll-up-btn.show{
  bottom: 30px;
  opacity: 1;
  pointer-events: auto;
}

/* Home Section styling */

.home {
  display: flex;
  height: 100vh;
  color: #ffff;
  /* background: url("https://source.unsplash.com/1920x1000/?gray,3D no-repeat center contain"); */
  background: url("images/banner.png") repeat center;
  /* background-image: linear-gradient(to right, #3e664e, #fbd786, #f7797d); */
  min-height: 500px;
  font-family: "ubuntu", sans-serif;
}

.home .max-width {
  margin: auto 0 auto 40px;
}

.home .home-content .text-1 {
  font-size: 27px;
}

.home .home-content .text-2 {
  font-size: 95px;
  font-weight: bolder;
  margin-left: -3px;
}

.home .home-content .text-3 {
  font-size: 50px;
  margin: 5px 0;
}
.home .home-content .text-3 span {
  color: #ff3535;
  font-weight: bold;
}

.home .home-content a {
  display: inline-block;
  background: #ff3535;
  color: #ffff;
  font-size: 25px;
  padding: 12px 36px;
  margin-top: 20px;
  border-radius: 5px;
  border: 2px solid #ff3535;
  transition: all 0.3s ease;
}

.home .home-content a:hover {
  color: #ff3535;
  background: none;
  font-weight: bold;
}

/* all similar styling code */

.about,
.services,
.skills, .teams,.contact,  footer  {
  font-family: "Poppins", sans-serif;
}

section {
  padding: 100px 0;
}

.about .about-content,
.services .services-content, 
.skills .skills-content, 
.contact .contact-content{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}


section .title {
  position: relative;
  text-align: center;
  font-size: 40px;
  font-weight: 500px;
  margin-bottom: 60px;
  padding-bottom: 20px;
  font-family: "ubuntu", sans-serif;
}

section .title::before {
  content: " ";
  position: absolute;
  bottom: 0px;
  left: 50%;
  width: 230px;
  height: 3px;
  background: #111;
  transform: translateX(-50%);
}

section .title::after {
  position: absolute;
  bottom: -13px;
  left: 50%;
  font-size: 20px;
  color: #ff3535;
  padding: 5px;
  background: #fff;
  transform: translateX(-50%);
}

/* about Section styling */


.about .title::after {
  content: "About me ";
}

.about .about-content .left {
  width: 45%;
}

.about .about-content .left img {
  height: 400px;
  width: 350px;
  object-fit:cover;
  border-radius: 6px;
}

.about .about-content .right {
  width: 55%;
}

.about .about-content .right .text {
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 10px;
}

.about .about-content .right .text span {
  color: #ff3535;
}



.about .about-content .right p {
  text-align: justify;
}

.about .about-content .right a {
  display: inline-block;
  background: #ff3535;
  color: #ffff;
  font-size: 20px;
  font-weight: 500;
  padding: 10px 30px;
  margin-top: 20px;
  border-radius: 5px;
  border: 2px solid #ff3535;
  transition: all 0.3s ease;
}
.about .about-content .right a:hover {
  color: #ff3535;
  background: none;
}

/* services section styling */

.services, .teams {
  color: #fff;
  background: #111;
}
.services .title::before, .teams .title::before {
  background: #fff;
}

.services .title::after, .teams .title::after {
  background: #111;
  content: "What i provide";
}

.services .services-content .card {
  width: calc(33% - 20px);
  background: #222;
  text-align: center;
  border-radius: 6px;
  padding: 20px 25px;
  cursor: pointer;
  margin-top: 20px;
}
.services .services-content .card:hover {
  background: #ff3535;
}
.services .services-content .card .box {
  transition: all 0.3s ease;
}
.services .services-content .card:hover .box {
  transform: scale(1.05);
}

.services .services-content .card i {
  font-size: 40px;
  color: #ff3535;
  transition: color 0.3s ease;
}
.services .services-content .card:hover i {
  color: #fff;
}

.services .services-content .card .text {
  font-size: 25px;
  font-weight: 500;
  margin: 10px 0 7px 0;
}

/* Skills scetion styling */
.skills .title::after{
  content: "What i Know";

}

.skills .skills-content .column{
  width: calc(50% - 30px);
}
.skills .skills-content .left .text{
  font-size: 25px;
  font-weight: bold;
 margin-bottom: 10px;   

}
.skills .skills-content .left a{
  display: inline-block;
  background: #ff3535;
  color: #ffff;
  font-size: 18px;
  font-weight: 500;
  padding: 8px 16px;
  margin-top: 20px;
  border-radius: 5px;
  border: 2px solid #ff3535;
  transition: all 0.3s ease;
}
.skills .skills-content .left a:hover{
  color: #ff3535;
  background: none;
}

.skills .skills-content .right .bars{
  margin-bottom: 15px;
}

.skills .skills-content .right .info{
  display: flex;
  align-items: center;
  margin-bottom: 5px;
  justify-content: space-between;
}

.skills .skills-content .right span{
  font-weight: 500;
  font-size: 18px;
}
.skills .skills-content .right .line{
  height: 6px;
  width: 100%;
  background: lightgray;
  position: relative;
}
.skills .skills-content .right .line::before{
  content: "";
  position: absolute;
  height: 100%;
  left: 0;
  top: 0;
  background: #ff3535;
}

.skills-content .right .html::before{
  width: 90%;
}

.skills-content .right .css::before{
  width: 70%;
}
.skills-content .right .js::before{
  width: 50%;
}
.skills-content .right .python::before{
  width: 40%;
}
.skills-content .right .c::before{
  width: 70%;
}
.skills-content .right .GD::before{
  width: 80%;
}
.skills-content .right .production::before{
  width: 80%;
}
.skills-content .right .mysql::before{
  width: 50%;
}

.skills .skills-content .left p{
  text-align: justify;
}

/* Teams section Styling */
.teams .title::after{
  content: "Who with me";
}

.teams .carousel .card{
  background: #222;
  border-radius: 6px;
  padding: 25px 35px;
  align-items: center;
  transition: all 0.3s ease;
}

.teams .carousel .card:hover{
  background: #ff3535;
}
.teams .carousel .card .box{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}
.teams .carousel .card:hover .box{
  transform: scale(1.05);
}

.teams .carousel .card .text{
  font-size: 25px;
  font-weight: bold;
  margin: 10px 0 7px 0;
}

.teams .carousel .card img{
  height: 150px;
  width: 150px;
  object-fit: cover;
  border-radius:50%;
  border: 5px solid #ff3535;
  transition: all 0.3s ease;

}

.teams .carousel .card:hover img{
  border-color: #fff;
}

.owl-dots{
  text-align: center;
  margin-top: 20px;
}
 .owl-dot{
  height: 13px;
  width: 13px;
  margin: 0 5px;
  outline: none !important;
  border-radius: 50%;
  border: 2px solid #ff3535!important;
  transition: all 0.3s ease;

 }

.owl-dot.active{
  width: 35px;
  border-radius: 14px;
}
.owl-dot.active, .owl-dot:hover{
  background: #ff3535 !important;
}

/* Contact section styling */

.contact .title::after{
  content: "get in touch";

}
.contact .contact-content .column{
  width: calc(50% - 30px);
}

.contact .contact-content  .text{
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 10px;
}
.contact .contact-content .left p{
  text-align: justify;

}

.contact .contact-content  .left .icons{
  margin: 10px 0;
}

.contact .contact-content .row{
  display: flex;
  height: 65px;
  align-items: center;
}

.contact .contact-content .row .info{
  margin-left: 30px;
}

.contact .contact-content .row  i{
  font-size: 25px;
  color: #ff3535;
}

.contact .contact-content .info .head{
  font-weight: 500;
}

.contact .contact-content .info .sub-title{
  color: #333;
}
.contact .right form .fields{
  display: flex;
}

.contact .right form .field, 
.contact .right form .fields .field{
  height: 45px;
  width: 100%;
  margin-bottom:15px;
}

.contact .right form  .textarea{
  height: 80px;
  width: 100%;
}

.contact .right form  .name{
  margin-right: 10px;
}

.contact .right form  .email{
  margin-left: 10px;
}

.contact .right form .field input,
.contact .right form .textarea textarea{
  height: 100%;
  width: 100%;
  border: 1px solid lightgray;
  border-radius: 6px;
  outline: none;
  padding: 0 15px;
  font-size: 17px;
  font-family: 'poppins', sans-serif;

}
.contact .right form .textarea textarea{
  padding-top: 10px;
  resize: none;
}

.contact .right form .button{
  height: 47px;
  width: 170px;
}

.contact .right form .button button{
  width: 100%;
  height: 100%;
  border: 2px solid #ff3535;
  background: #ff3535;
  color: #fff;
  font-size: 20px;
  font-weight: 500;
  border-radius: 6px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.contact .right form .button button:hover{
  color: #ff3535;
  background: none;

}

/* Footer section styling */
 footer{
  background: #111;
  padding: 20px 23px;
  color: #fff;
}
 footer span a{
  color: #ff3535;
  text-decoration: none;
 }

 footer span a:hover{
  text-decoration: underline;
 }























/* responsive media quaery start */
@media (max-width: 1300px) {
  .home .max-width {
    margin-left: 0px;
  }
}

@media (max-width: 1104px) {
  .about .about-content .left img {
    height: 350px;
    width: 350px;
  }
}

@media (max-width: 991px) {
  .max-width {
    padding: 0px;
  }
}

@media (max-width: 947px) {
  .max-width {
    padding: 0 50px;
  }

  .menu-btn {
    display: block;
    z-index: 999;
  }

  .menu-btn i.active:before {
    content: "\f00d";
  }

  .navbar .menu {
    position: fixed;
    height: 100vh;
    width: 100%;
    left: -100%;
    top: 0;
    background: #111;
    text-align: center;
    padding-top: 80px;
    transition: all 0.3s ease;
  }

  .navbar .menu.active {
    left: 0;
  }

  .navbar .menu li {
    display: block;
  }

  .navbar .menu li a {
    display: inline-block;
    margin: 20px 0;
    font-size: 25px;
  }

  .home .home-content .text-2 {
    font-size: 75px;
  }

  .home .home-content .text-3 {
    font-size: 35px;
  }

  .home .home-content a {
    font-size: 23px;
    padding: 10px 30px;
  }

  .max-width {
    max-width: 800px;
  }

  .about .about-content .column {
    width: 100%;
  }

  .about .about-content .left {
    display: flex;
    justify-content: center;
    margin: 0 auto 60px;
  }

  .about .about-content .right {
    flex: 100%;
  }

  .services .services-content .card {
    width: calc(50% - 10px);
    margin-bottom: 20px;
  }
  
  .skills .skills-content .column,
  .contact .contact-content .column{
    width: 100%;
    margin-bottom:35px ;

  }


}

@media (max-width: 690px) {
  .max-width {
    padding: 0 23px;
  }

  .home .home-content .text-2 {
    font-size: 60px;
  }

  .home .home-content .text-3 {
    font-size: 32px;
  }

  .home .home-content a {
    font-size: 20px;
    padding: 9px 25px;
  }

  .services .services-content .card{
    width: 100%;
  }
}


@media (max-width: 500px) {
  .max-width {
    padding: 0 23px;
  }

  .home .home-content .text-2 {
    font-size: 50px;
  }

  .home .home-content .text-3 {
    font-size: 27px;
  }
}
